$shopping-cart-summary-width:350px !default;
.shopping-cart{
    &__bottom{
        @include flex($just: flex-start, $align: center);

        background:$white;

        width:100%;

        
        margin-top: 1.5rem;

        .shopping-cart{

            &__action{
                margin-right: 2rem;
            }
        }

        .flex{
            @include flex(row, normal, center);
            
            cursor: pointer;

            .margin-right-1{
                margin-right: 1rem;
            }

            @include sm{
                margin: .5rem 0;
            }
        }        
    }

    &__summary{
        max-width:$shopping-cart-summary-width;
        width:100%;

        margin-top:2rem;

        .cart-summary{
            &__item{
                @include flex;

                padding:1.5rem 0;

                font-weight: bold;
            }

            &__name{
                flex-grow:1;
                
                text-transform:uppercase;
            }
        }
    }

    &__button{
        display:block;

        margin-top:4rem;
    }

    @include md{
        &__bottom{
            padding:0 $checkout-content-padding;
        }
    }

    @include sm{
        &__bottom{
            //position: fixed;
            bottom:0;

            width:100%;

            border-top:1px solid $grey-border;
        }

        &__summary{
            max-width:100%;

            margin:0;
            
            padding:1rem 0 1.5rem;
        }

        .cart-summary{
            &__item{
                justify-content: flex-end;

                padding:0;
            }

            &__name{
                flex-grow:0;
                
                margin-right:2rem;
            }
        }

        &__button{
            margin-top:.5rem;

            @include sm{
                margin-top: 1.5rem;
            }
        }
    }
}